Bug 9426 - s3 rpc_client tcp code should resolve names with type 0x20 (instead 0x00)
s3 rpc_client tcp code should resolve names with type 0x20 (instead 0x00)
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
4.0.0rc5
All All
: P5 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 12:30 UTC by Guenther Deschner
Modified: 2012-11-30 12:27 UTC (History)
3 users (show)

See Also:


Attachments
patch for master (1.18 KB, patch)
2012-11-23 12:31 UTC, Guenther Deschner
no flags Details
revised patch (1.19 KB, patch)
2012-11-23 12:58 UTC, Guenther Deschner
metze: review+
Details
follwup patch from master (4.51 KB, patch)
2012-11-27 14:57 UTC, Guenther Deschner
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2012-11-23 12:30:57 UTC
s3 rpc_client tcp code should resolve names with type 0x20 (instead 0x00)
Comment 1 Guenther Deschner 2012-11-23 12:31:44 UTC
Created attachment 8226 [details]
patch for master
Comment 2 Guenther Deschner 2012-11-23 12:58:43 UTC
Created attachment 8227 [details]
revised patch
Comment 3 Guenther Deschner 2012-11-23 15:41:54 UTC
Same patch should also go to 4.0 and 3.6
Comment 4 Stefan Metzmacher 2012-11-26 11:05:07 UTC
Comment on attachment 8227 [details]
revised patch

Looks
Comment 5 Karolin Seeger 2012-11-26 11:49:44 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Jeremy Allison 2012-11-26 19:04:47 UTC
+1 on getting this in 3.6.next also.

Should help a lot with winbindd name resolution !

Jeremy.
Comment 7 Karolin Seeger 2012-11-27 08:07:41 UTC
Pushed to v4-0-test and v3-6-test.
Closing out bug report.

Thanks!
Comment 8 Guenther Deschner 2012-11-27 14:57:31 UTC
Created attachment 8230 [details]
follwup patch from master

When we already have a socket address, we should not try to resolve it. This should be in 3.6 and 4.0 also.
Comment 9 Stefan Metzmacher 2012-11-27 15:26:15 UTC
Comment on attachment 8230 [details]
follwup patch from master

Looks good
Comment 10 Guenther Deschner 2012-11-27 15:28:15 UTC
Karolin, please add to 3.6 and 4.0.
Comment 11 Karolin Seeger 2012-11-28 08:02:42 UTC
Pushed to autobuild-v4-0-test.

Patch does not apply to v3-6-test.
Re-assigning to Günther.
Comment 12 Guenther Deschner 2012-11-30 11:38:32 UTC
Ok, in 3.6 the backported version of the followup patch does not make too much sense because noone fills in the socket address in the cli struct.
Comment 13 Guenther Deschner 2012-11-30 12:27:31 UTC
Closing as fixed then.